!! ##############################################################################################
!!
!! Copyright 2012-2020 CNRS, INPT
!! Copyright 2013-2015 UPS
!!  
!! This file is part of qr_mumps.
!!  
!! qr_mumps is free software: you can redistribute it and/or modify
!! it under the terms of the GNU Lesser General Public License as 
!! published by the Free Software Foundation, either version 3 of 
!! the License, or (at your option) any later version.
!!  
!! qr_mumps is distributed in the hope that it will be useful,
!! but WITHOUT ANY WARRANTY; without even the implied warranty of
!! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!! GNU Lesser General Public License for more details.
!!  
!! You can find a copy of the GNU Lesser General Public License
!! in the qr_mumps/doc directory.
!!
!! ##############################################################################################


!! ##############################################################################################
!!
!! This file contains the module which groups all the qr_mumps useful modules.
!!
!! ##############################################################################################


!> This is intended to be the only module to be included in user's
!! programs
module dqrm_mod

  use dqrm_dsmat_mod
  use dqrm_spmat_mod
  use dqrm_spfct_mod
  use dqrm_utils_mod
  use qrm_mem_mod
  use qrm_error_mod
  use dqrm_analysis_mod
  use dqrm_factorization_mod
  use dqrm_solve_mod
  use dqrm_sdata_mod
  use qrm_common_mod
  use dqrm_methods_mod
  use qrm_parameters_mod
  use qrm_dscr_mod
  use qrm_string_mod

 
end module dqrm_mod



